Bug 116623 - Some EMF image parts are incorrectly extended
Summary: Some EMF image parts are incorrectly extended
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2018-03-25 15:16 UTC by johan
Modified: 2019-04-15 04:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example files (53.35 KB, application/zip)
2018-03-25 15:16 UTC, johan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description johan 2018-03-25 15:16:14 UTC
Description:
Migrated from bug 116335 (part 3).

Some parts of certain EMF images are not displayed correctly. An example is attached. When it is inserted into Writer or opened in Draw, the curves extend outside the plot area even though they should not.

Example contents:
- An EMF file 
- A screenshot showing this problem in Writer
- A reference rendering in Microsoft Word (note that this screenshot also contains another, unrelated image)


Please note that the same problem occurs in Inkscape.

Steps to Reproduce:
1. Download and unpack the example files
2. Insert the EMF file into Writer or open it in Draw
3. Look at the plot curve endpoints 
4. Compare with the reference rendering. You can also use Microsoft software to view the EMF file

Actual Results:  
The curves extend outside the plot area

Expected Results:
The curves should stay inside the plot area


Reproducible: Always


User Profile Reset: No



Additional Info:
Tested with:

Version: 6.0.2.1
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: group


Version: 5.2.7.2
Build ID: 1:5.2.7-1+deb9u2
CPU Threads: 4; OS Version: Linux 4.9; UI Render: default; VCL: gtk2; 
Locale: fi-FI (fi_FI.utf8); Calc: group


Version: 5.4.5.1
Build ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: group


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 johan 2018-03-25 15:16:39 UTC
Created attachment 140873 [details]
example files
Comment 2 QA Administrators 2019-04-14 02:49:41 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug